.tigid-preloader{
    position: fixed;
    z-index: 5000;
    width: 100%;
    height: 100%;
    background-color: var(--color-bg);
    left: 0px;
    top: 0px;
    opacity: 1;
    transition: opacity 1.5s;

  --font-title: "ArnoPro-Regular";

  --text-title: 28px;
  --line-height-title: 36px;
  --letter-spacing-title: 0.04em;
}

.tigid-preloader.hidden{
    opacity: 0;
}

.tigid-preloader__logo{
    position: absolute;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* background-image: url(../../../img/LOGO_JH_UPD.png); */
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    transition: all 0.2s;
    /* mix-blend-mode: difference; */
}

.tigid-preloader__text{
    position: absolute;
    /* bottom: 50px; */
    font-size: var(--text-title);
    line-height: var(--line-height-title);
    letter-spacing: var(--letter-spacing-title);
    font-family: var(--font-title);
    /* left: 50%;
    transform: translateX(-50%); */

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.tigid-preloader__bar{
    position: absolute;
    width: 0px;
    height: 0px;
    background-color: var(--color-border);
    transition: all 0.1s;
}

.tigid-preloader__bar.vertical{
    width: 1px;
    height: 0px;
}
.tigid-preloader__bar.horizontal{
    width: 0px;
    height: 1px;
}
.tigid-preloader__bar.left{
    left:0px;
}
.tigid-preloader__bar.right{
    right:0px;
}
.tigid-preloader__bar.top{
    top:0px;
}
.tigid-preloader__bar.bottom{
    bottom:0px;
}